﻿@page
@model OdeToFood.Pages.Restaurants.ClientRestaurantsModel
@{
    ViewData["Title"] = "Client Restaurants";
}

<h1>Client Restaurants</h1>
<table class="table table-hover" id="restaurants">
    <thead>
        <tr>
            <th>Name</th>
            <th>Location</th>
            <th>Cuisine</th>
        </tr>
    </thead>
</table>

@section Scripts {
    <environment include="Development">
        <script src="~/datatables/js/jquery.dataTables.js"></script>
        <script src="~/datatables/js/dataTables.bootstrap4.js"></script>
        <link href="~/datatables/css/dataTables.bootstrap4.css" rel="stylesheet" />
    </environment>
    <environment exclude="Development">
        <script type="text/javascript" src="https://cdn.datatables.net/v/dt/dt-1.10.20/datatables.min.js"></script>
        <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/dt/dt-1.10.20/datatables.min.css" />
    </environment>

    <script>
        $(function () {
            var cuisines = ["None","Mexican","Italian","Indian","Pinoy"];

            $.ajax("/api/restaurants/", { method: "get" })
                .then(function (response) {
                    $("#restaurants").dataTable({
                        data: response,
                        columns: [
                            { "data": "name" },
                            { "data": "location" },
                            {
                                "data": "cuisine", "render": function (data)
                                {
                                    return cuisines[data];
                                }
                            }
                        ]
                    });
                });
        });
    </script>
}